﻿@model BeerOverflow.Web.Models.BeerViewModel

<h1 style="color:#b58900">@Model.Name</h1>
<br>
<div class="row featurette">
    <div class="col-md-7 order-md-2">
        <p class="lead"><h4 style="color:#b58900">Description: </h4> <h6>@Model.Description</h6></p>
        <p class="lead"><h4 style="color:#b58900">Mililiters: </h4> <h6>@Model.Mililiters </h6></p>
        <p class="lead"><h4 style="color:#b58900">Country origin: </h4> <h6>@Model.CountryName</h6></p>
        <p class="lead"><h4 style="color:#b58900">Style: </h4> <h6>@Model.StyleName</h6></p>
        <p class="lead"><h4 style="color:#b58900">Brewery: </h4> <h6>@Model.BreweryName</h6></p>
        <p class="lead"><h4 style="color:#b58900">Alcohol percent: </h4> <h6>@Model.AlcoholPercent</h6></p>

    </div>
    <div class="col-md-5 order-md-1">
        <img class="rounded-circle" src=@Model.ImageURL alt="Generic placeholder image" width="300" height="300">
    </div>
</div>
<center>
    @if (User.Identity.IsAuthenticated)
    {
        <a class="btn btn-primary" style="color:white" asp-controller="Wishlist" asp-action="AddBeerToUserWishList" asp-route-username="@User.Identity.Name" asp-route-beerId="@Model.Id">Add this beer to my WishList</a>
    }
</center>

<body>
    <br>
    @if (User.Identity.IsAuthenticated)
    {
        <a class="btn" style="color:white" asp-controller="Review" asp-action="CreateReview" asp-route-id="@Model.Id"> Create new review</a>
    }
    <br>
    @foreach (var item in Model.Reviews)
    {
        @Html.TextBox("myTextBox", item.Content, new { @class = "form-control" })
        <br>
        <br>
    }
</body>

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

@{
    double reviewScore = 0;
    int counter = 0;
    int reviewS = 0;
    foreach (var item in Model.Reviews)
    {
        reviewScore += item.Rating;
        counter++;
    }
    reviewS = (int)Math.Round(reviewScore = reviewScore / counter);
    <center>
        <h1>Average Rating</h1>
    </center>
    <style>
        .checked {
            color: orange;
        }
    </style>

    if (reviewS == 1)
    {
        <body>
            <center>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer"></span>
                <span class="fa fa-beer"></span>
                <span class="fa fa-beer"></span>
                <span class="fa fa-beer"></span>
            </center>
        </body>
    }
    if (reviewS == 2)
    {
        <body>
            <center>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer"></span>
                <span class="fa fa-beer"></span>
                <span class="fa fa-beer"></span>
            </center>
        </body>
    }
    if (reviewS == 3)
    {
        <body>
            <center>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer"></span>
                <span class="fa fa-beer"></span>
            </center>
        </body>
    }
    if (reviewS == 4)
    {
        <body>
            <center>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer"></span>
            </center>
        </body>
    }
    if (reviewS == 5)
    {
        <body>
            <center>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
                <span class="fa fa-beer checked"></span>
            </center>
        </body>
    }
    <center style="margin-bottom:50px;">
        <h4>Out of @counter rates.</h4>
    </center>
    <br />
}
